'Nome       : DocPmoVm.sql
'Tipo       : SQL
'Data       : 2004/04/13
'Versao     : 1.0
'Descricao  : Mao de obra /mercadoria 

'==============================================================================
'#VER - Historia de modificacoes
'==============================================================================
'- Versao : 1.0   2003/??/?? --------------------------------------------------
'Versao base


'==============================================================================
#DEF - Definicao global do documento
'==============================================================================
Caracteres invalidos             [CarInv]=#
Subtotalizadores                 [SbtNiv]=2
##


'==============================================================================
#ESP - Campos especificos
'==============================================================================
##


'==============================================================================
#SQL - Comandos SQL
'==============================================================================
'Base de dados           [BD]=EmpFic$("EMP","Cemp,Emp_Dat.mdb")
Base de dados           [BD]=EmpFic$("EMP","Enc,Enc.mdb")

Documentos a listar [Cmd]=DocPmo=+
+SELECT * FROM EncMst +
+WHERE [Tdoc$] IN('{Opc_Tdoc}') +
+AND [Ndoc$] BETWEEN '{Opc_Ndoc.Ini}' AND '{Opc_Ndoc.Fim}' +
+AND [CtEnt$] BETWEEN '{Opc_Ct.Ini}' AND '{Opc_Ct.Fim}' +
+AND Vend BETWEEN {Opc_Vend.Ini} AND {Opc_Vend.Fim} +
+AND Dtl BETWEEN {Opc_Dtl.Ini} AND {Opc_Dtl.Fim} +
+ORDER BY [CtEnt$], [Ndoc$]


Portes              [Cmd]=DocPor=+
+SELECT SUM(Prc*Qu) as Portes FROM EncMov +
+WHERE [Tdoc$] IN('{Opc_Tdoc}')  +
+AND [Ndoc$] = '{Ndo.Sel}' +
+AND Art$ IN('PORTES')


Mao de Obra          [Cmd]=DocMob=+
+SELECT SUM(Prc*Qu) as Mob FROM EncMov +
+WHERE [Tdoc$] IN('{Opc_Tdoc}')  +
+AND [Ndoc$] = '{Ndo.Sel}' +
+AND Art$ IN('52MO','53S3','3101','3102','3103','3104','310401')

##



'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=DocPmo,Portes/Mo de Obra

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=DocPmo_Cab
Listar linhas               [FxLIN]=DocPmo_Lin
Listar fim                  [FxFIM]=DocPmo_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=DocPmo
Subtotalizadores           [SQLSbt]=
##



'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=DocPmo,Portes/Mo de Obra

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=DocPmo_Cab
Listar linhas               [FxLIN]=DocPmo_Lin
Listar fim                  [FxFIM]=DocPmo_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=DocPmo
Subtotalizadores           [SQLSbt]=
##

'==============================================================================
#VAR - Variaveis
'==============================================================================
Tipo     = MemTxt$(1)
Pag      = Doc_CntPag
Tit080   = TxTit$("TT=10CPI, LD, PT=40C",Memtxt$(1))
Tit132   = TxTit$("TT=16CPI, LD, PT=66C",Memtxt$(1))
DataExt  = FrmVal$(Sig_DtHoje,45,0)


'Campos
DocIde   = SqlCmp$("Tdoc$")+" "+FrmNdo$("46",SqlCmp$("Tdoc$"),SqlCmp$("Ndoc$"))
DocDt    = FrmDt$("",SqlCmp("Dtl"))
DocVnd   = FrmNum$( 3.0,SqlCmp("Vend"))
Vnd      = FrmNum$( 3.0,SqlCmp("Vend"))

vDocVT   = FrmNum$( 10.2,SqlCmp("ValTot"))
'vDocPor  = FrmNum$( 10.2,SqlOpcCon("PORTES"))
vDocPor  = vdocpor$

vDocMob  = FrmNum$( 10.2,SqlOpcCon("MOB"))

tDocN    = FrmNum$(  5.0,TotCnt("vDocVT", 0))
tDocVt   = FrmNum$( 10.2,total(vDocVt, 0))
tDocPor  = FrmNum$( 10.2,total(vDocPor, 0))
tDocMob  = FrmNum$( 10.2,total(vDocMob, 0))
##


'==============================================================================
#PGM - Programa/Funcoes
'==============================================================================
'---------------------------------------------------------->'Comentario (61)
'------------------------------------------------->'Comentario (52)
'------------------------------------->'Comentario (40)

Sub FxIni 'funcao de inicializacao
end sub


Sub FxFim 'funcao de finalizacao
end sub


Sub Lst_AJT 'ajuste
end sub


'- Portes/Mao de Obra ----------------------------------------------------------
Sub DocPmo_Cab 'cabecalho
FxDiv LstIde,10CPI,0
'?@Tit080                                                                        #
print TxTit$("TT=10CPI, LD, PT=40C, TL=10CPI","Mao de Obra")
?Data: @DataExt                                                   Folha No: @Pag#
?================================================================================
?   Documento            Data          Valor total    Mercadoria    Mao de Obra #
'                                   <23456789012.1><23456789012.1><2345678901.12>
?================================================================================
end sub


Sub DocPmo_Lin 'linha de documento





ndo$    = SqlCmp$("Ndoc$")                     'numero do documento
res = SqlOpcAct("Ndo.Sel", ndo$)               'registar documento seleccionado

res = SqlCalc("DOCPOR")                        'calcular portes
res = SqlCalc("DOCMOB")                        'calcular mao de obra


vtot= frmnum$(10.2,SqlCmp("ValTot"))
vmob= frmnum$(10.2,SqlOpcCon("MOB"))

vmat  = Vtot-vmob
vDocPor$  = FrmNum$( 10.2, vmat)

?@DocIde              @DocDt        @vDocVT        @vDocPor       @vDocMob      #
'                                   <23456789012.1><23456789012.1><2345678901.12>
end sub


Sub DocPmo_Fim
?================================================================================
?                 Totais: @tDocN    @tDocVT        @tDocPor       @tDocMob      #
?================================================================================
FxDiv LstPer,SP
end sub

##
